Bug 1281757 - CVE-2015-8126 libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set_PLTE functions [fedora-all]
Summary: CVE-2015-8126 libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: 23
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-8126, CVE-2015-8472
TreeView+ depends on / blocked
 
Reported: 2015-11-13 11:55 UTC by Adam Mariš
Modified: 2016-01-07 04:22 UTC (History)
6 users (show)

Fixed In Version: libpng-1.6.17-4.fc23 libpng-1.6.17-3.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-22 02:22:28 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2015-11-13 11:55:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2015-11-13 11:55:12 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1281756,1281757

# Description of your update
notes=Security fix for CVE-2015-8126

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1281756,1281757

Comment 2 Piotr Popieluch 2015-11-16 13:42:53 UTC
fyi:
I've built the update in a copr repo, seems to work without issues.
https://copr.fedoraproject.org/coprs/piotrp/libpng/

Comment 3 Raphael Groner 2015-11-16 14:20:29 UTC
Please apply this update ASAP also for Fedora 22, thanks.

Comment 4 Fedora Update System 2015-11-18 09:24:34 UTC
libpng-1.6.17-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4ad4998d00

Comment 5 Fedora Update System 2015-11-18 09:41:33 UTC
libpng-1.6.16-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfbe09bb4

Comment 7 Fedora Update System 2015-11-18 12:38:34 UTC
libpng-1.6.17-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e52306c9c

Comment 8 Fedora Update System 2015-11-18 12:42:34 UTC
libpng-1.6.16-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c07ab1fa6

Comment 9 Ralf Corsepius 2015-11-19 06:30:07 UTC
I do not understand, why you did not upgrade to 1.6.19 - at least on rawhide.

Also, AFAICT, upgrading to *.19 would be mostly harmless on fc22 and fc23 (I haven't checked fc21). There are some changes to some #defines (== API changes), but no ABI changes of any kind.

Comment 10 Petr Hracek 2015-11-19 09:51:17 UTC
You are right, 
I will do it, I have forgot it:)

I have a bugzilla for new upstream version.

Give me a second for building new upstream sources.

Comment 11 Petr Hracek 2015-11-19 13:03:09 UTC
As libpng as libpng15 have the latest versions.
I mean 1.6.19 and 1.5.24 respectively.

Comment 12 Fedora Update System 2015-11-19 14:52:00 UTC
libpng-1.6.16-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c07ab1fa6

Comment 13 Fedora Update System 2015-11-19 14:52:16 UTC
libpng-1.6.16-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dfbe09bb4

Comment 14 Fedora Update System 2015-11-19 15:26:40 UTC
libpng-1.6.17-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e52306c9c

Comment 15 Fedora Update System 2015-11-19 15:27:10 UTC
libpng-1.6.17-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4ad4998d00

Comment 16 Fedora Update System 2015-11-19 16:55:16 UTC
libpng-1.6.17-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e52306c9c

Comment 17 Fedora Update System 2015-11-19 16:55:43 UTC
libpng-1.6.17-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4ad4998d00

Comment 18 Fedora Update System 2015-11-22 02:22:09 UTC
libpng-1.6.17-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-01-07 04:22:36 UTC
libpng-1.6.17-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.